List started scenario runs for a benchmark run.
curl --request GET \
--url https://api.runloop.ai/v1/benchmarks/runs/{id}/scenario_runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runloop.ai/v1/benchmarks/runs/{id}/scenario_runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runloop.ai/v1/benchmarks/runs/{id}/scenario_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"scenario_id": "<string>",
"devbox_id": "<string>",
"state": "running",
"metadata": {},
"name": "<string>",
"benchmark_run_id": "<string>",
"scoring_contract_result": {
"score": 123,
"scoring_function_results": [
{
"score": 123,
"scoring_function_name": "<string>",
"output": "<string>",
"state": "unknown"
}
]
},
"start_time_ms": 123,
"duration_ms": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}Benchmark
List started scenario runs for a benchmark run.
deprecated
List started scenario runs for a benchmark run.
GET
/
v1
/
benchmarks
/
runs
/
{id}
/
scenario_runs
List started scenario runs for a benchmark run.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The BenchmarkRun ID.
Query Parameters
Filter by Scenario Run state
Available options:
running, scoring, scored, completed, canceled, timeout, failed Search by scenario run ID or name.
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
